- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_read_concern_t

# mongoc_read_concern_copy()

## Synopsis

    mongoc_read_concern_t *
    mongoc_read_concern_copy (const mongoc_read_concern_t *read_concern);

## Parameters

- `read_concern`: A mongoc_read_concern_t.

## Description

Performs a deep copy of `read_concern`.

## Returns

Returns a newly allocated copy of `read_concern` that should be freed with mongoc_read_concern_destroy() when no longer in use.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.